# API Reference

The generated OpenAPI contract is the source of truth for endpoints, schemas, headers, and enum values.

## Swagger UI

Use Swagger for interactive testing:

<https://mock.artum.app/swagger/>

Click **Authorize** and enter your bearer token.

## OpenAPI YAML

The raw OpenAPI document is available at:

<https://mock.artum.app/openapi.yaml>

## Base URL

```
https://mock.artum.app
```

## Main Endpoints

* `GET /v1/chains`
* `GET /v1/chains/{chain}/assets`
* `POST /v1/payments`
* `GET /v1/payments/{payment_id}`
* `GET /v1/payments/{payment_id}/attempts`
* `POST /v1/webhooks`
* `GET /v1/webhooks`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.artum.app/reference/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
